Subject: Re: bug#69521: 29.1; Adding a DECLARE spec equivalent to DECLARE-FUNCTION

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Mar 2024 13:18:14 +0200

severity 69521 wishlist
thanks

> Date: Sun, 3 Mar 2024 04:49:02 -0600
> From: Adam Porter <[email-masked]>
> 
> In light of [this thread], this seems like a good time to propose this
> idea: to enhance the `declare' form with a `function' spec equivalent to
> the top-level `declare-function' form.  This allows keeping the
> declaration inside the function that makes it necessary, which has a few
> advantages:

Thanks, but I think this should be discussed on emacs-devel first.
The bug tracker is not a good vessel of discussing ideas; in
particular. quite a few of people who should be part of such a
discussion don't read bug-gnu-emacs regularly, and must be explicitly
CC'ed to take notice.

So I suggest to start the discussion on emacs-devel, and only switch
here if/when the idea and its implementation aspects are clear enough
to post a patch.

Thanks.